package editor

// ----------------------------------------------------------------------------
// !Terminal Input Escape Code Sequences
// ----------------------------------------------------------------------------

const(
	KeyArrowUp = "A"
	KeyArrowDown = "B"
	KeyArrowRight = "C"
	KeyArrowLeft = "D"
	KeyPageUp = "5~"
	KeyPageDown = "6~"
)

// ----------------------------------------------------------------------------
// !Constants representing input keys
// ----------------------------------------------------------------------------

const (
	keyUp = "ARROW_UP"
	keyDown = "ARROW_DOWN"
	keyLeft = "ARROW_LEFT"
	keyRight = "ARROW_RIGHT"
	keyPageUp = "PAGE_UP"
	keyPageDown = "PAGE_DOWN"
	keyHome = "HOME"
	keyEnd = "END"
	keyDelete = "DELETE"
)